Bug 599436 - Updated version of bluez* doesn't work at all
Updated version of bluez* doesn't work at all
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 04:45 EDT by Phil
Modified: 2010-12-03 09:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:05:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Phil 2010-06-03 04:45:13 EDT
Description of problem:

With an updated version of bluez installed neither of my 2 ISSC BT dongles work.

Bus 005 Device 004: ID 1131:1004 Integrated System Solution Corp. Bluetooth Device


Version-Release number of selected component (if applicable):

This device works with bluez-4.57.2 but not bluez-4.58-1


How reproducible:

everytime


Steps to Reproduce:

1. install system from os repo only
2. bluetooth works
3. yum update
4. bluetooth no more worky


Actual results:

Jun  3 17:45:45 fe kernel: usb 4-1: new full speed USB device using uhci_hcd and address 2
Jun  3 17:45:45 fe kernel: usb 4-1: New USB device found, idVendor=1131, idProduct=1004
Jun  3 17:45:45 fe kernel: usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Jun  3 17:45:45 fe kernel: usb 4-1: Product: ISSCEDRBTA
Jun  3 17:45:45 fe kernel: usb 4-1: Manufacturer: ISSC
Jun  3 17:45:45 fe kernel: usb 4-1: configuration #1 chosen from 1 choice
Jun  3 17:45:45 fe kernel: Bluetooth: Core ver 2.15
Jun  3 17:45:45 fe kernel: NET: Registered protocol family 31
Jun  3 17:45:45 fe kernel: Bluetooth: HCI device and connection manager initialized
Jun  3 17:45:45 fe kernel: Bluetooth: HCI socket layer initialized
Jun  3 17:45:45 fe kernel: Bluetooth: Generic Bluetooth USB driver ver 0.6
Jun  3 17:45:46 fe kernel: usbcore: registered new interface driver btusb
Jun  3 17:45:46 fe bluetoothd[2509]: Bluetooth daemon 4.58
Jun  3 17:45:46 fe bluetoothd[2510]: Starting SDP server
Jun  3 17:45:46 fe kernel: Bluetooth: L2CAP ver 2.14
Jun  3 17:45:46 fe kernel: Bluetooth: L2CAP socket layer initialized
Jun  3 17:45:46 fe bluetoothd[2510]: Parsing /etc/bluetooth/network.conf failed: No such file or directory
Jun  3 17:45:46 fe kernel: Bluetooth: BNEP (Ethernet Emulation) ver 1.3
Jun  3 17:45:46 fe kernel: Bluetooth: BNEP filters: protocol multicast
Jun  3 17:45:46 fe kernel: Bridge firewalling registered
Jun  3 17:45:46 fe bluetoothd[2510]: bridge pan0 created
Jun  3 17:45:46 fe bluetoothd[2510]: Parsing /etc/bluetooth/input.conf failed: No such file or directory
Jun  3 17:45:46 fe bluetoothd[2510]: Parsing /etc/bluetooth/audio.conf failed: No such file or directory
Jun  3 17:45:46 fe kernel: Bluetooth: SCO (Voice Link) ver 0.6
Jun  3 17:45:46 fe kernel: Bluetooth: SCO socket layer initialized
Jun  3 17:45:46 fe bluetoothd[2510]: HCI dev 0 registered
Jun  3 17:45:56 fe bluetoothd[2524]: Can't init device hci0: Connection timed out (110)
Jun  3 17:46:14 fe bluetoothd[2510]: Can't init device hci0: Connection timed out (110)


Expected results:

Jun  3 17:59:49 fe kernel: usb 4-1: new full speed USB device using uhci_hcd and address 3
Jun  3 17:59:49 fe kernel: usb 4-1: New USB device found, idVendor=1131, idProduct=1004
Jun  3 17:59:49 fe kernel: usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Jun  3 17:59:49 fe kernel: usb 4-1: Product: ISSCEDRBTA
Jun  3 17:59:49 fe kernel: usb 4-1: Manufacturer: ISSC
Jun  3 17:59:49 fe kernel: usb 4-1: configuration #1 chosen from 1 choice
Jun  3 17:59:49 fe bluetoothd[2510]: HCI dev 0 registered
Jun  3 17:59:49 fe kernel: usb 4-1: USB disconnect, address 3
Jun  3 17:59:49 fe kernel: btusb_intr_complete: hci0 urb eecd3f80 failed to resubmit (19)
Jun  3 17:59:49 fe kernel: btusb_bulk_complete: hci0 urb eecd3300 failed to resubmit (19)
Jun  3 17:59:49 fe bluetoothd[2510]: Can't init device hci0: Input/output error (5)
Jun  3 17:59:49 fe bluetoothd[2790]: Can't init device hci0: No such device (19)
Jun  3 17:59:49 fe bluetoothd[2510]: HCI dev 0 unregistered
Jun  3 17:59:49 fe bluetoothd[2510]: Unregister path: /org/bluez/2509/hci0
Jun  3 17:59:49 fe kernel: btusb_bulk_complete: hci0 urb eecd3080 failed to resubmit (19)
Jun  3 17:59:49 fe kernel: btusb_submit_intr_urb: hci0 urb eec34300 submission failed (19)
Jun  3 17:59:51 fe kernel: usb 5-1: USB disconnect, address 2
Jun  3 17:59:52 fe kernel: usb 4-1: new low speed USB device using uhci_hcd and address 4
Jun  3 17:59:52 fe kernel: usb 4-1: New USB device found, idVendor=046d, idProduct=c018
Jun  3 17:59:52 fe kernel: usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Jun  3 17:59:52 fe kernel: usb 4-1: Product: Logitech USB Optical Mouse
Jun  3 17:59:52 fe kernel: usb 4-1: Manufacturer: Logitech
Jun  3 17:59:52 fe kernel: usb 4-1: configuration #1 chosen from 1 choice
Jun  3 17:59:52 fe kernel: input: Logitech Logitech USB Optical Mouse as /devices/pci0000:00/0000:00:1d.2/usb4/4-1/4-1:1.0/input/input11
Jun  3 17:59:52 fe kernel: generic-usb 0003:046D:C018.0007: input,hidraw0: USB HID v1.11 Mouse [Logitech Logitech USB Optical Mouse] on usb-0000:00:1d.2-1/input0
Jun  3 18:00:09 fe kernel: usb 5-1: new full speed USB device using uhci_hcd and address 4
Jun  3 18:00:09 fe kernel: usb 5-1: New USB device found, idVendor=1131, idProduct=1004
Jun  3 18:00:09 fe kernel: usb 5-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Jun  3 18:00:09 fe kernel: usb 5-1: Product: ISSCEDRBTA
Jun  3 18:00:09 fe kernel: usb 5-1: Manufacturer: ISSC
Jun  3 18:00:09 fe kernel: usb 5-1: configuration #1 chosen from 1 choice
Jun  3 18:00:09 fe bluetoothd[2510]: HCI dev 0 registered
Jun  3 18:00:19 fe bluetoothd[2510]: Can't init device hci0: Connection timed out (110)
Jun  3 18:00:19 fe bluetoothd[2510]: HCI dev 0 up
Jun  3 18:00:19 fe bluetoothd[2510]: Starting security manager 0
Jun  3 18:00:19 fe bluetoothd[2510]: Parsing /etc/bluetooth/serial.conf failed: No such file or directory
Jun  3 18:00:19 fe kernel: Bluetooth: RFCOMM TTY layer initialized
Jun  3 18:00:19 fe kernel: Bluetooth: RFCOMM socket layer initialized
Jun  3 18:00:19 fe kernel: Bluetooth: RFCOMM ver 1.11
Jun  3 18:00:19 fe bluetoothd[2510]: probe failed with driver input-headset for device /org/bluez/2509/hci0/dev_00_25_E5_06_5B_A2
Jun  3 18:00:19 fe bluetoothd[2510]: Adapter /org/bluez/2509/hci0 has been enabled


Additional info:

FIX:
1. yum downgrade bluez*
2. remove dongle
3. plug in dongle
4. smile :D
Comment 1 Bug Zapper 2010-11-03 09:39:59 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 09:05:31 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.